Depression.data<-read.table("HW1Q2.txt")
library(dplyr)

Depression.study.data<-Depression.data%>%
    filter(Age>10,
           Living.With%in%c("Both","Mother","Father","Joint Custody"),
           Health.index>70)
Depression.study.data<-Depression.study.data%>%
    mutate(
        only.child=Siblings==0,
        income.group=cut(Family.Income,
                         breaks=c(0,25000,40000,100000,Inf),
                         labels=c("poor","low-income","middle-income","high-income"))
    )%>%select(-c("Family.Income","Siblings"))
Depression.study.data.transformed<-Depression.study.data%>%
    mutate(
        log.prog=log(Programmes),
        log.attention=log(Parent.attention)
    )%>%select(-c("Programmes","Parent.attention"))

Screentime.pval<-rep(NA,4)
cut.offs<-c(5,10,20,30)


for(i in seq_along(cut.offs)){
    cut.off<-cut.offs[i]
    temp.data<-Depression.study.data%>%
        mutate(screen.excess=Screentime>cut.off)%>%select(-c("Screentime"))
    model<-lm(Depression.Score~.,data=temp.data)
    model.sum<-summary(model)
    Screentime.pval[i]<-model.sum$coefficients["screen.excessTRUE",4]
}

best.cut.off<-cut.offs[Screentime.pval==min(Screentime.pval)]
