contracts<-read.table(paste("Contracts",as.character(as.Date(date(),format="%a %b %d %H:%M:%S %Y")),".txt",sep="_")
                         
day.records<-NULL


for( i in 1:length(contracts)){
    record<-contracts[i,]

    if(record$country=="Canada"){
        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
            }else{
                record$claim=0
                record$profit=record$premium
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim-record$ceding.commission
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
        }               
    }else if(record$country=="USA"){

        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
                record$converted.profit=record$profit*1.24032 # exchange rate USD-CAD
            }else{
                record$claim=0
                record$profit=record$premium
                record$converted.profit=record$profit*1.24032 # exchange rate USD-CAD
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            if(record$claim>record$limit){
                record$claim=record$limit
            }            
            record$profit=record$premium-record$claim-record$ceding.commission
            record$converted.profit=record$profit*1.24032 # exchange rate USD-CAD
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
            record$converted.profit=record$profit*1.24032 # exchange rate USD-CAD
        }               

        
    }else if(record$country=="France"){


        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
                record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
            }else{
                record$claim=0
                record$profit=record$premium
                record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim-record$ceding.commission
            record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
            record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
        }               


    }else if(record$country=="Germany"){

        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
                record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
            }else{
                record$claim=0
                record$profit=record$premium
                record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            record$profit=record$premium-record$claim-record$ceding.commission
            record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
            record$converted.profit=record$profit*1.64720 # exchange rate EUR-CAD
        }               

    }else if(record$country=="UK"){


        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
                record$converted.profit=record$profit*1.80394 # exchange rate GBP-CAD
            }else{
                record$claim=0
                record$profit=record$premium
                record$converted.profit=record$profit*1.80394 # exchange rate GBP-CAD
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim-record$ceding.commission
            record$converted.profit=record$profit*1.80394 # exchange rate GBP-CAD
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
            record$converted.profit=record$profit*1.80394 # exchange rate GBP-CAD
        }               

    }else{
        ## country must be China


        if(record$contract=="Excess of Loss"){
            if(record$attachment<record$loss){
                record$claim=record$loss-record$attachment
                if(record$claim>record$limit){
                    record$claim=record$limit
                }
                record$profit=record$premium-record$claim
                record$converted.profit=record$profit*0.189401 # exchange rate RMB-CAD
            }else{
                record$claim=0
                record$profit=record$premium
                record$converted.profit=record$profit*0.189401 # exchange rate RMB-CAD
            }
        }else if(record$contract=="Quota Share"){
            record$claim=record$loss*record$percentage
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim-record$ceding.commission
            record$converted.profit=record$profit*0.189401 # exchange rate RMB-CAD
        }else{
            ## contract must be Catastrophe Cover
            record$claim=record$catastrophe.loss-record$attachment
            if(record$claim<0){
                record$claim=0
            }
            if(record$claim>record$limit){
                record$claim=record$limit
            }
            record$profit=record$premium-record$claim            
            record$converted.profit=record$profit*0.189401 # exchange rate RMB-CAD
        }               
        
        
    }

    
    
    day.records<-c(day.records,record)
}

##
